Summary:	A utility for retrieving files using the HTTP or FTP protocols
Name:		wget
Version:	1.21.4
Release:	%mkrel 2
Group:		Networking/WWW
License:	GPLv3
URL:		https://www.gnu.org/directory/GNU/wget.html
Source0:	https://ftp.gnu.org/gnu/wget/%{name}-%{version}.tar.xz
Patch3:		%{name}-forceclobber.patch
Patch5:		%{name}-urlpassword.patch
Patch7:		%{name}-1.15-etc.patch
Provides:	webclient webfetch
BuildRequires: lib64gpgme-devel
BuildRequires: lib64openssl-devel
BuildRequires: lib64pcre0-devel
BuildRequires: lib64unistring-devel
BuildRequires: lib64uuid-devel
BuildRequires:	gettext
BuildRequires:	texinfo
BuildRequires:	pkgconfig(libidn2)
BuildRequires:	pkgconfig(libpsl)

%description
GNU Wget is a file retrieval utility which can use either the HTTP or FTP
protocols. Wget features include the ability to work in the background
while you're logged out, recursive retrieval of directories, file name
wildcard matching, remote file timestamp storage and comparison, use of
Rest with FTP servers and Range with HTTP servers to retrieve files over
slow or unstable connections, support for Proxy servers, and
configurability.

%prep
%setup -q
%patch3 -p1
%patch5 -p0
%patch7 -p1

%build
%configure2_5x \
	--enable-ipv6 \
	--disable-rpath \
	--with-ssl=openssl

%make_build

%install
rm -rf %buildroot
%make_install

%__install -m755 util/rmold.pl %{buildroot}/%{_bindir}/rmold

%find_lang %{name}
%find_lang %{name}-gnulib

%pre
rm -f  %{_sysconfdir}/wgetrc

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{name}.lang -f %{name}-gnulib.lang
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/wgetrc
%{_bindir}
%{_infodir}
%{_mandir}


%changelog
* Thu Nov 30 2023 tex - 1.21.4-2pclos2023
- rebuild against updates

* Thu May 25 2023 tex - 1.21.4-1pclos2023
- new version

* Sat Mar 19 2022 tex - 1.21.3-1pclos2022
- new version

* Tue Sep 07 2021 tex - 1.21.2-1pclos2021
- new version

* Sat Jan 09 2021 tex - 1.21.1-1pclos2021
- new version

* Fri Jan 01 2021 tex - 1.21-1pclos2021
- Update to version 1.21

* Mon Dec 02 2019 tex - 1.20.3-2pclos2019
- rebuild against updates

* Fri Apr 05 2019 tex - 1.20.3-1pclos2019
- new version

* Mon Apr 01 2019 tex - 1.20.2-1pclos2019
- new version

* Tue Jan 15 2019 tex - 1.20.1-2pclos2019
- rebuild against updates

